libpqxx: pqxx::tablewriter Class Reference

libpqxx 4.0.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
pqxx::tablewriter Class Reference

`#include <tablewriter.hxx>`

Inheritance diagram for pqxx::tablewriter:

## Public Types
typedef unsigned | size_type

## Public Member Functions
| tablewriter (transaction_base &, const std::string &WName, const std::string &Null=std::string())
template<typename ITER >
| tablewriter (transaction_base &, const std::string &WName, ITER begincolumns, ITER endcolumns)
template<typename ITER >
| tablewriter (transaction_base &T, const std::string &WName, ITER begincolumns, ITER endcolumns, const std::string &Null)
| ~tablewriter () throw ()
template<typename IT >
void | insert (IT Begin, IT End)
template<typename TUPLE >
void | insert (const TUPLE &)
template<typename IT >
void | push_back (IT Begin, IT End)
template<typename TUPLE >
void | push_back (const TUPLE &)
void | reserve (size_type)
template<typename TUPLE >
tablewriter & | operator<< (const TUPLE &)
tablewriter & | operator<< (tablereader &)
template<typename IT >
std::string | generate (IT Begin, IT End) const
template<typename TUPLE >
std::string | generate (const TUPLE &) const
virtual void | complete ()
void | write_raw_line (const std::string &)
Public Member Functions inherited from pqxx::tablestream
| tablestream (transaction_base &Trans, const std::string &Null=std::string())
virtual | ~tablestream ()=0 throw ()
Public Member Functions inherited from pqxx::internal::transactionfocus
| transactionfocus (transaction_base &t)
Public Member Functions inherited from pqxx::internal::namedclass
| namedclass (const std::string &Classname, const std::string &Name="")
const std::string & | name () const throw ()
const std::string & | classname () const throw ()
std::string | description () const

## Additional Inherited Members
Protected Member Functions inherited from pqxx::tablestream
const std::string & | NullStr () const
bool | is_finished () const throw ()
void | base_close ()
Static Protected Member Functions inherited from pqxx::tablestream
template<typename ITER >
static std::string | columnlist (ITER colbegin, ITER colend)
Protected Attributes inherited from pqxx::internal::transactionfocus
transaction_base & | m_Trans

## Detailed Description

Deprecated:
  Efficiently write data directly to a database table.

Warning
  This class does not work reliably with multibyte encodings. Using it with some multi-byte encodings may pose a security risk.

## Member Typedef Documentation

typedef unsigned pqxx::tablewriter::size_type

## Constructor & Destructor Documentation

pqxx::tablewriter::tablewriter | ( | transaction_base & | T,
|  | const std::string & | WName,
|  | const std::string & | Null = `std::string()`
| ) |  |

template<typename ITER >

pqxx::tablewriter::tablewriter | ( | transaction_base & | T,
|  | const std::string & | WName,
|  | ITER | begincolumns,
|  | ITER | endcolumns
| ) |  |

References pqxx::tablestream::columnlist().

template<typename ITER >

pqxx::tablewriter::tablewriter | ( | transaction_base & | T,
|  | const std::string & | WName,
|  | ITER | begincolumns,
|  | ITER | endcolumns,
|  | const std::string & | Null
| ) |  |

References pqxx::tablestream::columnlist().

pqxx::tablewriter::~tablewriter | ( |  | ) | throw ()

## Member Function Documentation

void pqxx::tablewriter::complete | ( |  | ) |
| virtual

Implements pqxx::tablestream.

template<typename IT >

std::string pqxx::tablewriter::generate | ( | IT | Begin,
|  | IT | End
| ) |  | const

References pqxx::tablestream::NullStr(), and pqxx::separated_list().

Referenced by generate(), and insert().

template<typename TUPLE >

std::string pqxx::tablewriter::generate | ( | const TUPLE & | T | ) | const

References generate().

template<typename IT >

void pqxx::tablewriter::insert | ( | IT | Begin,
|  | IT | End
| ) |  |

References generate(), and write_raw_line().

Referenced by insert(), operator<<(), and push_back().

template<typename TUPLE >

void pqxx::tablewriter::insert | ( | const TUPLE & | T | ) |

References insert().

template<typename TUPLE >

tablewriter & pqxx::tablewriter::operator<< | ( | const TUPLE & | T | ) |

References insert().

pqxx::tablewriter & pqxx::tablewriter::operator<< | ( | pqxx::tablereader & | R | ) |

References pqxx::tablereader::get_raw_line().

template<typename IT >

void pqxx::tablewriter::push_back | ( | IT | Begin,
|  | IT | End
| ) |  |

References insert().

template<typename TUPLE >

void pqxx::tablewriter::push_back | ( | const TUPLE & | T | ) |

References insert().

void pqxx::tablewriter::reserve | ( | size_type |  | ) |

void pqxx::tablewriter::write_raw_line | ( | const std::string & | Line | ) |

Referenced by insert().

The documentation for this class was generated from the following files:

- tablewriter.hxx
- tablewriter.cxx